<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers" data-namespace-typo3-fluid="true"
>
<f:if condition="{data.show_social_media_shares}==1">
    <f:alias map="{sharingText:'{data.title} #drk #redcross', sharingUri:'{f:if(condition:\'{site.configuration.base} == \\\'/\\\'\', then:\'{hostnameFromRequest}\', else:\'\')}{f:uri.page(pageUid: data.uid, absolute: \'1\')}'}">
        <div class="c-menu-share">
            <h4 class="c-menu-share__headline">Beitrag teilen</h4>
            <ul class="c-menu-share__list">
                <li class="c-menu-share__item">
                    <a href="https://twitter.com/share?text={sharingText -> f:format.urlencode()}&url={sharingUri -> f:format.urlencode()}"
                       class="c-menu-share__link"
                       title="{f:translate(key:'LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:partial.social-media.twitter-share')}"
                       target="_blank">
                        <svg role="img" class="c-menu-share__icon   o-icon-button__icon"
                             aria-label="{f:translate(key:'LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:partial.social-media.twitter-share')}">
                            <title class="h-sr-only">
                                <f:translate
                                    key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:partial.social-media.twitter-share"/>
                            </title>
                            <use xmlns:xlink="http://www.w3.org/1999/xlink"
                                 xlink:href="typo3conf/ext/drk_template2016/Resources/Public/Images/svg/spritemap.svg#sprite-twitter">
                            </use>
                        </svg>
                    </a>
                </li>
                <li class="c-menu-share__item">
                    <a href="https://www.facebook.com/sharer/sharer.php?u={sharingUri -> f:format.urlencode()}"
                       class="c-menu-share__link"
                       title="{f:translate(key:'LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:partial.social-media.facebook-share')}"
                       target="_blank">
                        <svg role="img" class="c-menu-share__icon   o-icon-button__icon"
                             aria-label="{f:translate(key:'LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:partial.social-media.facebook-share')}">
                            <title class="h-sr-only">
                                <f:translate
                                    key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:partial.social-media.facebook-share"/>
                            </title>
                            <use xmlns:xlink="http://www.w3.org/1999/xlink"
                                 xlink:href="typo3conf/ext/drk_template2016/Resources/Public/Images/svg/spritemap.svg#sprite-facebook">
                            </use>
                        </svg>
                    </a>
                </li>
            </ul>
        </div>
    </f:alias>
</f:if>
</html>
